$good: #424242;
$good2: #2196F3;
$muted-color: mix(white, $good, 70%);
$trans-time: 300ms;
$width: 320px;

$themes: (
  light: (
    color: #333333,
    backgroundColor: #6394F3,
    primaryColor: #fefefe,
    activeColor: #6394F3,
    headerColor: #2196F3,
    mutedColor: mix(white, #424242, 70%),
    successColor: #2CB601,
    warnColor: #FA2823,
    infoColor: #791EA7,
    selectionColor: #D66201,
  ),
  dark: (
    color: #e5e5e5,
    backgroundColor: #6394F3,
    primaryColor: #282c34,
    activeColor: #6394F3,
    headerColor: #2196F3,
    mutedColor: mix(white, #424242, 70%),
    successColor: #2CB601,
    warnColor: #FA2823,
    infoColor: #791EA7,
    selectionColor: #D66201,
  )
);

@mixin themify() {
  @each $theme, $map in $themes {

    .theme-#{$theme} & {
      $theme-map: () !global;
      @each $key, $submap in $map {
        $value: map-get(map-get($themes, $theme), '#{$key}');
        $theme-map: map-merge($theme-map, ($key: $value)) !global;
      }

      @content;
      $theme-map: null !global;
    }

  }
}

@function themed($key) {
  @return map-get($theme-map, $key);
}
